import QtQuick 1.1
import com.nokia.meego 1.0
import "Logic.js" as Logic

Dialog {
    property string text_dialog: ""

    id: dlgError
    title: qsTr("Error")
    content: Text {
        anchors.horizontalCenter: parent.horizontalCenter
        height: 70
        color: "white"
        font.pixelSize: 22
        text: text_dialog
        Image {
            anchors.bottom: parent.top
            anchors.bottomMargin: 20
            anchors.horizontalCenter: parent.horizontalCenter
            source: "image://theme/icon-l-error"
        }
    }
    buttons: Button {
        text: "Ok"
        anchors.horizontalCenter: parent.horizontalCenter
        onClicked: dlgError.close()
        platformStyle: ButtonStyle { inverted: true }
    }
}
